Blob Blame History Raw
--- evolution-data-server-1.10.1/configure.no-gnome-common	2007-04-09 12:15:42.000000000 -0400
+++ evolution-data-server-1.10.1/configure	2007-04-09 12:16:10.000000000 -0400
@@ -32298,154 +32298,6 @@
 
 
 
-    # Check whether --enable-compile-warnings was given.
-if test "${enable_compile_warnings+set}" = set; then
-  enableval=$enable_compile_warnings;
-else
-  enable_compile_warnings="yes"
-fi
-
-
-    warnCFLAGS=
-    if test "x$GCC" != xyes; then
-	enable_compile_warnings=no
-    fi
-
-    warning_flags=
-    realsave_CFLAGS="$CFLAGS"
-
-    case "$enable_compile_warnings" in
-    no)
-	warning_flags=
-	;;
-    minimum)
-	warning_flags="-Wall"
-	;;
-    yes)
-	warning_flags="-Wall -Wmissing-prototypes"
-	;;
-    maximum|error)
-	warning_flags="-Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith"
-	CFLAGS="$warning_flags $CFLAGS"
-	for option in -Wno-sign-compare; do
-		SAVE_CFLAGS="$CFLAGS"
-		CFLAGS="$CFLAGS $option"
-		{ echo "$as_me:$LINENO: checking whether gcc understands $option" >&5
-echo $ECHO_N "checking whether gcc understands $option... $ECHO_C" >&6; }
-		cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
-  { (case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  has_option=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	has_option=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-		CFLAGS="$SAVE_CFLAGS"
-		{ echo "$as_me:$LINENO: result: $has_option" >&5
-echo "${ECHO_T}$has_option" >&6; }
-		if test $has_option = yes; then
-		  warning_flags="$warning_flags $option"
-		fi
-		unset has_option
-		unset SAVE_CFLAGS
-	done
-	unset option
-	if test "$enable_compile_warnings" = "error" ; then
-	    warning_flags="$warning_flags -Werror"
-	fi
-	;;
-    *)
-	{ { echo "$as_me:$LINENO: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&5
-echo "$as_me: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&2;}
-   { (exit 1); exit 1; }; }
-	;;
-    esac
-    CFLAGS="$realsave_CFLAGS"
-    { echo "$as_me:$LINENO: checking what warning flags to pass to the C compiler" >&5
-echo $ECHO_N "checking what warning flags to pass to the C compiler... $ECHO_C" >&6; }
-    { echo "$as_me:$LINENO: result: $warning_flags" >&5
-echo "${ECHO_T}$warning_flags" >&6; }
-
-    # Check whether --enable-iso-c was given.
-if test "${enable_iso_c+set}" = set; then
-  enableval=$enable_iso_c;
-else
-  enable_iso_c=no
-fi
-
-
-    { echo "$as_me:$LINENO: checking what language compliance flags to pass to the C compiler" >&5
-echo $ECHO_N "checking what language compliance flags to pass to the C compiler... $ECHO_C" >&6; }
-    complCFLAGS=
-    if test "x$enable_iso_c" != "xno"; then
-	if test "x$GCC" = "xyes"; then
-	case " $CFLAGS " in
-	    *\ \	-ansi\ \	*) ;;
-	    *) complCFLAGS="$complCFLAGS -ansi" ;;
-	esac
-	case " $CFLAGS " in
-	    *\ \	-pedantic\ \	*) ;;
-	    *) complCFLAGS="$complCFLAGS -pedantic" ;;
-	esac
-	fi
-    fi
-    { echo "$as_me:$LINENO: result: $complCFLAGS" >&5
-echo "${ECHO_T}$complCFLAGS" >&6; }
-
-    WARN_CFLAGS="$warning_flags $complCFLAGS"
-
-
-CFLAGS="$CFLAGS $WARN_CFLAGS"
 case $CFLAGS in
 *-Wall*)
 	# Turn off the annoying "comparison between signed and unsigned"
--- evolution-data-server-1.10.1/configure.in.no-gnome-common	2007-04-09 08:44:46.000000000 -0400
+++ evolution-data-server-1.10.1/configure.in	2007-04-09 12:15:42.000000000 -0400
@@ -1209,8 +1209,6 @@
 dnl CFLAGS and LIBS and stuff
 dnl *************************
 
-GNOME_COMPILE_WARNINGS(yes)
-CFLAGS="$CFLAGS $WARN_CFLAGS"
 case $CFLAGS in
 *-Wall*)
 	# Turn off the annoying "comparison between signed and unsigned"